package com.mdd.admin.vo.channel;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("公众号默认回复Vo")
public class ChannelRpDefaultVo implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("id")
   private Integer id;
   @ApiModelProperty("规则名")
   private String name;
   @ApiModelProperty("回复内容")
   private String content;
   @ApiModelProperty("内容类型: [1=文本]")
   private Integer contentType;
   @ApiModelProperty("排序编号")
   private Integer sort;
   @ApiModelProperty("启动状态: [1=启动, 0=关闭]")
   private Integer status;

   public Integer getId() {
      return this.id;
   }

   public String getName() {
      return this.name;
   }

   public String getContent() {
      return this.content;
   }

   public Integer getContentType() {
      return this.contentType;
   }

   public Integer getSort() {
      return this.sort;
   }

   public Integer getStatus() {
      return this.status;
   }

   public void setId(Integer id) {
      this.id = id;
   }

   public void setName(String name) {
      this.name = name;
   }

   public void setContent(String content) {
      this.content = content;
   }

   public void setContentType(Integer contentType) {
      this.contentType = contentType;
   }

   public void setSort(Integer sort) {
      this.sort = sort;
   }

   public void setStatus(Integer status) {
      this.status = status;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof ChannelRpDefaultVo)) {
         return false;
      } else {
         ChannelRpDefaultVo other = (ChannelRpDefaultVo)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$id = this.getId();
            Object other$id = other.getId();
            if (this$id == null) {
               if (other$id != null) {
                  return false;
               }
            } else if (!this$id.equals(other$id)) {
               return false;
            }

            Object this$contentType = this.getContentType();
            Object other$contentType = other.getContentType();
            if (this$contentType == null) {
               if (other$contentType != null) {
                  return false;
               }
            } else if (!this$contentType.equals(other$contentType)) {
               return false;
            }

            Object this$sort = this.getSort();
            Object other$sort = other.getSort();
            if (this$sort == null) {
               if (other$sort != null) {
                  return false;
               }
            } else if (!this$sort.equals(other$sort)) {
               return false;
            }

            label62: {
               Object this$status = this.getStatus();
               Object other$status = other.getStatus();
               if (this$status == null) {
                  if (other$status == null) {
                     break label62;
                  }
               } else if (this$status.equals(other$status)) {
                  break label62;
               }

               return false;
            }

            label55: {
               Object this$name = this.getName();
               Object other$name = other.getName();
               if (this$name == null) {
                  if (other$name == null) {
                     break label55;
                  }
               } else if (this$name.equals(other$name)) {
                  break label55;
               }

               return false;
            }

            Object this$content = this.getContent();
            Object other$content = other.getContent();
            if (this$content == null) {
               if (other$content != null) {
                  return false;
               }
            } else if (!this$content.equals(other$content)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof ChannelRpDefaultVo;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $id = this.getId();
      result = result * 59 + ($id == null ? 43 : $id.hashCode());
      Object $contentType = this.getContentType();
      result = result * 59 + ($contentType == null ? 43 : $contentType.hashCode());
      Object $sort = this.getSort();
      result = result * 59 + ($sort == null ? 43 : $sort.hashCode());
      Object $status = this.getStatus();
      result = result * 59 + ($status == null ? 43 : $status.hashCode());
      Object $name = this.getName();
      result = result * 59 + ($name == null ? 43 : $name.hashCode());
      Object $content = this.getContent();
      result = result * 59 + ($content == null ? 43 : $content.hashCode());
      return result;
   }

   public String toString() {
      return "ChannelRpDefaultVo(id=" + this.getId() + ", name=" + this.getName() + ", content=" + this.getContent() + ", contentType=" + this.getContentType() + ", sort=" + this.getSort() + ", status=" + this.getStatus() + ")";
   }
}
